Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem("GeneralStock")> _
Public Class WorkflowSystem '-- Folyamatmenedzsment iktatáshoz
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _PartnerType As ePartnerType
    Private _ShortName As String
    Private _Description As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <VisibleInListView(False)> _
    <Association("WFS-WFSSteps", GetType(WorkflowSystemSteps))> _
    ReadOnly Property WorkflowSystemSteps() As XPCollection(Of WorkflowSystemSteps)
        Get
            Return GetCollection(Of WorkflowSystemSteps)("WorkflowSystemSteps")
        End Get
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
End Class

